nxmlfile.h File Reference

Deals with storing program data (including packet trees) in XML data files. More...

`#include <string>`
`#include "regina-core.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API bool | regina::writeXMLFile (const char *fileName, NPacket *subtree, bool compressed=true)
| Writes the subtree with the given packet as matriarch to disk as a complete XML file. More...
REGINA_API NPacket * | regina::readXMLFile (const char *fileName)
| Reads the packet tree stored in the given XML file. More...
REGINA_API NPacket * | regina::readFileMagic (const std::string &fileName)
| Reads a packet tree from a file whose format is unknown. More...

## Detailed Description

Deals with storing program data (including packet trees) in XML data files.

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).